diff --git a/input.c b/input.c
index ef1ff4669..4123cd8b0 100644
--- a/input.c
+++ b/input.c
@@ -372,7 +372,7 @@ static size_t input_numTests(size_t idx, size_t total) {
         [96] = 2,
         [97] = 3,
         [98] = 4,
-        [99 ... 100] = 20,
+        [99 ... 100] = 5,
     };
     return scaleMap[percentile];
 }
